org.eclipse.actf.model.dom.dombycom

## Interface IElementEx

All Superinterfaces:
  Element, IEvalTarget, INodeEx, Node

    public interface IElementEx
    extends Element, INodeEx

The extended interface of the `Element`

### Nested Class Summary

Nested Classes
`static class` `IElementEx.Position` An instance of Position represents a nth position of a element in a radio button group and list group.

### Field Summary

### Fields inherited from interface org.w3c.dom.Node

`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

### Method Summary

Methods
`String` `getAttribute(String name)`
`String` `getCurrentAttribute(String name)`
`Element` `getFormLabel()`
`IElementEx.Position` `getListPosition()`
`IElementEx.Position` `getRadioPosition()`
`IStyle` `getStyle()`

### Methods inherited from interface org.w3c.dom.Element

`getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, getSchemaTypeInfo, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setIdAttribute, setIdAttributeNode, setIdAttributeNS`

### Methods inherited from interface org.eclipse.actf.model.dom.dombycom.INodeEx

`analyze, doClick, extractString, getAccessKey, getHeadingLevel, getLinkURI, getLocation, getNth, getStillPictureData, getText, highlight, setFocus, setText, unhighlight`

### Methods inherited from interface org.w3c.dom.Node

`appendChild, cloneNode, compareDocumentPosition, getAttributes, getBaseURI, getChildNodes, getFeature, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getTextContent, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setNodeValue, setPrefix, setTextContent, setUserData`

### Methods inherited from interface org.eclipse.actf.util.vocab.IEvalTarget

`getTerms`

### Method Detail

#### getStyle

    IStyle getStyle()

Returns:
  the CSS style object.

#### getRadioPosition

    IElementEx.Position getRadioPosition()

Returns:
  the position of the element in the radio group. This is valid if the element is a radio button in the radio group.

#### getListPosition

    IElementEx.Position getListPosition()

Returns:
  the position of the element in the list. This is valid if the element is an item of the list.

#### getFormLabel

    Element getFormLabel()

Returns:
  the label object annotating the element. This is valid if the element is a form element and a label element for the element is existing.

#### getAttribute

    String getAttribute(String name)

Specified by:
  `getAttribute` in interface `Element`
Returns:
  the attribute value originally specified to the element. If no value is specified, returns null.
See Also:
  `Element.getAttribute(java.lang.String)`

#### getCurrentAttribute

    String getCurrentAttribute(String name)

Returns:
  the attribute value currently assigned to the element. (same as getAttribute method of IE DOM)